Metrics v1
Reference for the Metrics v1 endpoints on Roblox.
Base URL: https://metrics.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
POST |
/v1/bundle-metrics/report |
postBundleMetricsReport |
POST |
/v1/thumbnails/load |
postThumbnailsLoad |
GET |
/v1/thumbnails/metadata |
getThumbnailsMetadata |
postBundleMetricsReport
Section titled “postBundleMetricsReport”POST /v1/bundle-metrics/report
Records bundle load successes.
Usage
import { fetchApi } from 'rozod';import { postBundleMetricsReport } from 'rozod/endpoints/metricsv1';
const data = await fetchApi(postBundleMetricsReport, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
bundleUrl |
string |
|
bundleName |
string |
|
loadTimeInMilliseconds |
number |
|
cdnProviderName |
string |
|
loadState |
`0 | 1 |
bundleContentType |
`0 | 1 |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The bundle url is invalid. |
postThumbnailsLoad
Section titled “postThumbnailsLoad”POST /v1/thumbnails/load
Records the time it takes for a thumbnail to get loaded in the UI.
Usage
import { fetchApi } from 'rozod';import { postThumbnailsLoad } from 'rozod/endpoints/metricsv1';
const data = await fetchApi(postThumbnailsLoad, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
duration |
number |
|
loadState |
`0 | 1 |
thumbnailType |
string |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 2: A required parameter is missing from the request |
| 403 | 0: Token Validation Failed |
getThumbnailsMetadata
Section titled “getThumbnailsMetadata”GET /v1/thumbnails/metadata
Get metadata related to logging thumbnail load metrics.
Usage
import { fetchApi } from 'rozod';import { getThumbnailsMetadata } from 'rozod/endpoints/metricsv1';
const data = await fetchApi(getThumbnailsMetadata, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
logRatio |
number |